DocTest : Mono.DocTest Namespace

# DocAttribute Class

Documentation for this section has not yet been entered.

## Syntax

[System.AttributeUsage(System.AttributeTargets.All)]
public class DocAttribute : Attribute

## Remarks

cref=`T:Mono.DocTest.DocAttribute`.

red | blue | green

C# Example

    [Doc ("documented class")]
    class Example {
    	[Doc ("documented field")] public string field;
    }

## Requirements

Namespace: Mono.DocTest
Assembly: DocTest (in DocTest.dll)
Assembly Versions: 0.0.0.0

## Members

See Also: Inherited members from Attribute.

## Public Constructors

| DocAttribute (string) | Documentation for this section has not yet been entered.

## Public Fields

| Field | bool . Documentation for this section has not yet been entered.
| FlagsEnum | ConsoleModifiers . Documentation for this section has not yet been entered.
| NonFlagsEnum | Color . Documentation for this section has not yet been entered.

## Public Properties

| Property | Type . Documentation for this section has not yet been entered.

## Extension Methods

static

ToEnumerable<T> (this T) : IEnumerable<T>

> `System.Object` extension method

## Member Details

### DocAttribute Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public DocAttribute (string docs)

> #### Parameters

> > docs
> >   Documentation for this section has not yet been entered.

> #### Exceptions

> > Type | Reason
> > --- | ---
> > ArgumentNullException | Documentation for this section has not yet been entered.

> ## Remarks

> `C:Mono.DocTest.DocAttribute(System.String)`

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Field Field

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool Field

> ## Remarks

> `F:Mono.DocTest.DocAttribute.Field`

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### FlagsEnum Field

> Documentation for this section has not yet been entered.

> ## Syntax

> public ConsoleModifiers FlagsEnum

> ## Remarks

> `F:Mono.DocTest.DocAttribute.FlagsEnum`

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### NonFlagsEnum Field

> Documentation for this section has not yet been entered.

> ## Syntax

> public Color NonFlagsEnum

> ## Remarks

> `F:Mono.DocTest.DocAttribute.NonFlagsEnum`

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Property Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public Type Property { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> `P:Mono.DocTest.DocAttribute.Property`

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0